Page MenuHomePhabricator

Reduce border contrast on selected Vector tabs when using VE
Closed, ResolvedPublic1 Estimate Story Points

Description

When using VisualEditor in Vector, I've been irritated by the strong border of the selected Vector tabs and VE's toolbar, which is counter-intuitive to “what's currently selected” connecting white space.
The blue separators were introduced in https://gerrit.wikimedia.org/r/#/c/210314/, my understanding is, the reason behind the change were the horizontal toolbar separators in VE toolbar, which would end in nil.

Before:

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterDecrease border contrast on selected Vector tabs

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2017, 10:00 PM
Volker_E updated the task description. (Show Details)Aug 16 2017, 10:06 PM
Volker_E added a comment.EditedAug 16 2017, 10:12 PM

@Pginer-WMF My proposal would be to slightly reduce contrast of “border” by using #e1f1fc (decrease to 33% opacity of normal border) as color

We can't use things like dashed or dotted borders as those would

  • still possible induce hanging separator lines
  • also have no other elements using dashed or dotted lines in Vector

No border is not a possibility either.

Having border color reduced seems like the only workable compromise between various options to me.
A media query at least for Edit tab (above 1170px) could be an additional, but from a maintenance aspect not too aspiring solution.

Change 372200 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/VisualEditor@master] Decrease border contrast on selected Vector tabs

https://gerrit.wikimedia.org/r/372200

@Pginer-WMF My proposal would be to slightly reduce contrast of “border” by using #e1f1fc (decrease to 33% opacity of normal border) as color

Seems a good compromise to keep the active tabs more connected with the content they represent, while still keeping the toolbar consistent as one element.

Deskana triaged this task as Medium priority.Aug 18 2017, 12:45 PM
Deskana moved this task from To Triage to TR1: Releases on the VisualEditor board.
Deskana set the point value for this task to 1.

Change 372200 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Decrease border contrast on selected Vector tabs

https://gerrit.wikimedia.org/r/372200

Volker_E closed this task as Resolved.Aug 22 2017, 8:54 PM
Volker_E removed a project: Patch-For-Review.
Volker_E removed a subscriber: gerritbot.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 22 2017, 8:54 PM